Page MenuHomePhabricator

Compress Harbormaster build logs inline
ClosedPublic

Authored by epriestley on Mar 1 2016, 10:21 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Jul 3, 6:45 AM
Unknown Object (File)
Tue, Jun 28, 6:36 PM
Unknown Object (File)
Sun, Jun 26, 7:53 PM
Unknown Object (File)
Sat, Jun 25, 11:21 AM
Unknown Object (File)
Tue, Jun 14, 4:47 AM
Unknown Object (File)
Wed, Jun 8, 6:24 AM
Unknown Object (File)
May 30 2022, 4:41 AM
Unknown Object (File)
May 24 2022, 7:29 AM
Subscribers
None

Details

Summary

Ref T5822.

  • After a log is closed, compress it if possible.
  • Provide bin/harbormaster archive-logs to make it easier to change the storage format of logs.
Test Plan
  • Ran bin/harbormaster archive-logs on a bunch of logs, compressing and decompressing them without issues (same hashes, same decompressed size across multiple iterations).
  • Ran new builds, verified logs were compressed after they closed.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

epriestley retitled this revision from to Compress Harbormaster build logs inline.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: chad.
chad edited edge metadata.
This revision is now accepted and ready to land.Mar 1 2016, 11:07 PM
This revision was automatically updated to reflect the committed changes.